org.apache.ignite.internal.binary.streams

## Interface BinaryStream

All Known Subinterfaces:
  BinaryInputStream, BinaryOutputStream, PlatformInputStream, PlatformOutputStream

All Known Implementing Classes:
  BinaryAbstractInputStream, BinaryAbstractOutputStream, BinaryAbstractStream, BinaryByteBufferInputStream, BinaryHeapInputStream, BinaryHeapOutputStream, BinaryOffheapInputStream, BinaryOffheapOutputStream, PlatformBigEndianInputStreamImpl, PlatformBigEndianOutputStreamImpl, PlatformInputStreamImpl, PlatformOutputStreamImpl

    public interface BinaryStream

Binary stream.

### Method Summary

Methods
`byte[]` `array()`
`byte[]` `arrayCopy()`
`int` `capacity()`
`boolean` `hasArray()`
`long` `offheapPointer()`
`int` `position()`
`void` `position(int pos)`
`long` `rawOffheapPointer()`

### Method Detail

#### position

    int position()

Returns:
  Position.

#### position

    void position(int pos)

Parameters:
  `pos` - Position.

#### array

    byte[] array()

Returns:
  Underlying array.

#### arrayCopy

    byte[] arrayCopy()

Returns:
  Copy of data in the stream.

#### offheapPointer

    long offheapPointer()

Returns:
  Offheap pointer if stream is offheap based and "forceHeap" flag is not set; otherwise `0`.

#### rawOffheapPointer

    long rawOffheapPointer()

Returns:
  Offheap pointer if stream is offheap based; otherwise `0`.

#### hasArray

    boolean hasArray()

Returns:
  `True` is stream is array based.

#### capacity

    int capacity()

Returns:
  Total capacity.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017